OpenJPH: ojph::local::param_atk Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::param_atk Struct Reference

`#include <ojph_params_local.h>`

## Public Member Functions
| param_atk ()
| ~param_atk ()
void | restart ()
bool | read (infile_base *file)
ui8 | get_index () const
int | get_coeff_type () const
bool | is_whole_sample () const
bool | is_reversible () const
bool | is_m_init0 () const
bool | is_using_ws_extension () const
param_atk * | get_atk (int index)
const lifting_step * | get_step (ui32 s) const
ui32 | get_num_steps () const
float | get_K () const

## Private Member Functions
void | init (param_atk *top_atk)
bool | read_coefficient (infile_base *file, float &K, si32 &bytes)
bool | read_coefficient (infile_base *file, si16 &K, si32 &bytes)
void | init_irv97 ()
void | init_rev53 ()
param_atk * | add_object ()

## Private Attributes
ui16 | Latk
ui16 | Satk
float | Katk
ui8 | Natk
lifting_step * | d
ui32 | max_steps
lifting_step | d_store [6]
param_atk * | next
param_atk * | top_atk
param_atk * | avail

## Detailed Description

Definition at line 1084 of file ojph_params_local.h.

## Constructor & Destructor Documentation

## ◆ param_atk()

ojph::local::param_atk::param_atk | ( |  | ) |
| inline

Definition at line 1092 of file ojph_params_local.h.

References d, d_store, init(), and max_steps.

Referenced by add_object(), get_atk(), init(), and restart().

## ◆ ~param_atk()

ojph::local::param_atk::~param_atk | ( |  | ) |
| inline

Definition at line 1098 of file ojph_params_local.h.

References avail, d, d_store, max_steps, and next.

## Member Function Documentation

## ◆ add_object()

param_atk * ojph::local::param_atk::add_object | ( |  | ) |
| private

Definition at line 2627 of file ojph_params.cpp.

References avail, init(), next, param_atk(), and top_atk.

Referenced by get_atk(), and read().

## ◆ get_atk()

param_atk * ojph::local::param_atk::get_atk | ( | int | index | ) |

Definition at line 2378 of file ojph_params.cpp.

References add_object(), get_index(), init_irv97(), init_rev53(), Latk, next, param_atk(), and top_atk.

## ◆ get_coeff_type()

int ojph::local::param_atk::get_coeff_type | ( |  | ) | const
| inline

Definition at line 1140 of file ojph_params_local.h.

References Satk.

Referenced by read(), read_coefficient(), and read_coefficient().

## ◆ get_index()

ui8 ojph::local::param_atk::get_index | ( |  | ) | const
| inline

Definition at line 1139 of file ojph_params_local.h.

References Satk.

Referenced by get_atk().

## ◆ get_K()

float ojph::local::param_atk::get_K | ( |  | ) | const
| inline

Definition at line 1149 of file ojph_params_local.h.

References Katk.

Referenced by ojph::local::gen_irv_horz_ana(), ojph::local::gen_irv_horz_syn(), ojph::local::wasm_irv_horz_ana(), and ojph::local::wasm_irv_horz_syn().

## ◆ get_num_steps()

ui32 ojph::local::param_atk::get_num_steps | ( |  | ) | const
| inline

Definition at line 1148 of file ojph_params_local.h.

References Natk.

Referenced by ojph::local::gen_irv_horz_ana(), ojph::local::gen_irv_horz_syn(), ojph::local::gen_rev_horz_ana32(), ojph::local::gen_rev_horz_ana64(), ojph::local::gen_rev_horz_syn32(), ojph::local::gen_rev_horz_syn64(), ojph::local::wasm_irv_horz_ana(), ojph::local::wasm_irv_horz_syn(), ojph::local::wasm_rev_horz_ana32(), ojph::local::wasm_rev_horz_ana64(), ojph::local::wasm_rev_horz_syn32(), and ojph::local::wasm_rev_horz_syn64().

## ◆ get_step()

const lifting_step * ojph::local::param_atk::get_step | ( | ui32 | s | ) | const
| inline

Definition at line 1146 of file ojph_params_local.h.

References d, and Natk.

Referenced by ojph::local::gen_irv_horz_ana(), ojph::local::gen_irv_horz_syn(), ojph::local::gen_rev_horz_ana32(), ojph::local::gen_rev_horz_ana64(), ojph::local::gen_rev_horz_syn32(), ojph::local::gen_rev_horz_syn64(), ojph::local::wasm_irv_horz_ana(), ojph::local::wasm_irv_horz_syn(), ojph::local::wasm_rev_horz_ana32(), ojph::local::wasm_rev_horz_ana64(), ojph::local::wasm_rev_horz_syn32(), and ojph::local::wasm_rev_horz_syn64().

## ◆ init()

void ojph::local::param_atk::init | ( | param_atk * | top_atk | ) |
| inlineprivate

Definition at line 1153 of file ojph_params_local.h.

References avail, d, d_store, Katk, Latk, max_steps, Natk, next, param_atk(), Satk, and top_atk.

Referenced by add_object(), and param_atk().

## ◆ init_irv97()

void ojph::local::param_atk::init_irv97 | ( |  | ) |
| private

Definition at line 2598 of file ojph_params.cpp.

References d, Katk, Latk, Natk, and Satk.

Referenced by get_atk().

## ◆ init_rev53()

void ojph::local::param_atk::init_rev53 | ( |  | ) |
| private

Definition at line 2612 of file ojph_params.cpp.

References d, Latk, Natk, and Satk.

Referenced by get_atk().

## ◆ is_m_init0()

bool ojph::local::param_atk::is_m_init0 | ( |  | ) | const
| inline

Definition at line 1143 of file ojph_params_local.h.

References Satk.

Referenced by read().

## ◆ is_reversible()

bool ojph::local::param_atk::is_reversible | ( |  | ) | const
| inline

Definition at line 1142 of file ojph_params_local.h.

References Satk.

Referenced by ojph::local::subband::finalize_alloc(), ojph::local::subband::pre_alloc(), and read().

## ◆ is_using_ws_extension()

bool ojph::local::param_atk::is_using_ws_extension | ( |  | ) | const
| inline

Definition at line 1144 of file ojph_params_local.h.

References Satk.

Referenced by read().

## ◆ is_whole_sample()

bool ojph::local::param_atk::is_whole_sample | ( |  | ) | const
| inline

Definition at line 1141 of file ojph_params_local.h.

References Satk.

Referenced by read().

## ◆ read()

bool ojph::local::param_atk::read | ( | infile_base * | file | ) |

Definition at line 2498 of file ojph_params.cpp.

References add_object(), d, d_store, get_coeff_type(), is_m_init0(), is_reversible(), is_using_ws_extension(), is_whole_sample(), Katk, Latk, max_steps, Natk, OJPH_ERROR, ojph::infile_base::read(), read(), read_coefficient(), Satk, ojph::swap_bytes_if_le(), and top_atk.

Referenced by read().

## ◆ read_coefficient() [1/2]

bool ojph::local::param_atk::read_coefficient | ( | infile_base * | file,
|  | float & | K,
|  | si32 & | bytes )
| private

Definition at line 2411 of file ojph_params.cpp.

References d, get_coeff_type(), ojph::infile_base::read(), and ojph::swap_bytes_if_le().

Referenced by read().

## ◆ read_coefficient() [2/2]

bool ojph::local::param_atk::read_coefficient | ( | infile_base * | file,
|  | si16 & | K,
|  | si32 & | bytes )
| private

Definition at line 2477 of file ojph_params.cpp.

References get_coeff_type(), ojph::infile_base::read(), and ojph::swap_bytes_if_le().

## ◆ restart()

void ojph::local::param_atk::restart | ( |  | ) |
| inline

Definition at line 1116 of file ojph_params_local.h.

References avail, d, d_store, Katk, Latk, max_steps, Natk, next, param_atk(), Satk, and top_atk.

## Member Data Documentation

## ◆ avail

param_atk* ojph::local::param_atk::avail
| private

Definition at line 1189 of file ojph_params_local.h.

Referenced by add_object(), init(), restart(), and ~param_atk().

## ◆ d

lifting_step* ojph::local::param_atk::d
| private

Definition at line 1180 of file ojph_params_local.h.

Referenced by get_step(), init(), init_irv97(), init_rev53(), param_atk(), read(), read_coefficient(), restart(), and ~param_atk().

## ◆ d_store

lifting_step ojph::local::param_atk::d_store[6]
| private

Definition at line 1182 of file ojph_params_local.h.

Referenced by init(), param_atk(), read(), restart(), and ~param_atk().

## ◆ Katk

float ojph::local::param_atk::Katk
| private

Definition at line 1178 of file ojph_params_local.h.

Referenced by get_K(), init(), init_irv97(), read(), and restart().

## ◆ Latk

ui16 ojph::local::param_atk::Latk
| private

Definition at line 1176 of file ojph_params_local.h.

Referenced by get_atk(), init(), init_irv97(), init_rev53(), read(), and restart().

## ◆ max_steps

ui32 ojph::local::param_atk::max_steps
| private

Definition at line 1181 of file ojph_params_local.h.

Referenced by init(), param_atk(), read(), restart(), and ~param_atk().

## ◆ Natk

ui8 ojph::local::param_atk::Natk
| private

Definition at line 1179 of file ojph_params_local.h.

Referenced by get_num_steps(), get_step(), init(), init_irv97(), init_rev53(), read(), and restart().

## ◆ next

param_atk* ojph::local::param_atk::next
| private

Definition at line 1183 of file ojph_params_local.h.

Referenced by add_object(), get_atk(), init(), restart(), and ~param_atk().

## ◆ Satk

ui16 ojph::local::param_atk::Satk
| private

Definition at line 1177 of file ojph_params_local.h.

Referenced by get_coeff_type(), get_index(), init(), init_irv97(), init_rev53(), is_m_init0(), is_reversible(), is_using_ws_extension(), is_whole_sample(), read(), and restart().

## ◆ top_atk

param_atk* ojph::local::param_atk::top_atk
| private

Definition at line 1185 of file ojph_params_local.h.

Referenced by add_object(), get_atk(), init(), read(), and restart().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params_local.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params.cpp